<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/app/bluetooth"></ion-back-button>
    </ion-buttons>
    <ion-title>{{ peripheral.name || 'Device' }}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  <ion-item>
    <ion-label>실시간</ion-label>
    <ion-input type="text" readonly [(ngModel)]="realtime"></ion-input>
  </ion-item>
  <ion-item>
    <ion-label>압력</ion-label>
    <ion-input type="number" placeholder="0" [value]="pressure[0]" readonly></ion-input>
    <ion-input type="number" placeholder="0" [value]="pressure[1]" readonly></ion-input>
  </ion-item>
  <form (ngSubmit)="sendMessage(message);">
    <ion-item>
      <ion-textarea type="text" placeholder="{{ 'PRINTER_SAMPLE_MSG' | translate }}" [(ngModel)]="message" name="message"></ion-textarea>
    </ion-item>
    <ion-row>
      <ion-col>
        <ion-button expand="block" color="dark" (click)="disconnect()" [disabled]="!isConnected">
          {{ "DISCONNECT" | translate }}
        </ion-button>
      </ion-col>
      <ion-col>
        <ion-button expand="block" type="submit">
          프린트 출력
        </ion-button>
      </ion-col>
    </ion-row>
  </form>
</ion-content>
